OnlinePay API
V2
V1
V2
V1
  1. SEPA
  • Introduction
    • Introduction
    • How to Start
    • Country Code
    • Country Info
    • Currency Code
    • Error Code
    • Transfer Order Info Type
    • Transfer Order File Type
    • Per Bank
    • Spei Bank
    • Vietnam Bank
    • V2 Signature Specification
  • Payin
    • Credit Card API
      POST
    • Alipay API
      POST
    • GCash API
      POST
    • WeChat API
      POST
    • PIX API
      POST
    • Crypto API
      POST
    • Union Pay API
      POST
    • SPEI API
      POST
    • SEPA API
      POST
    • Per Transfer API
      POST
    • Cash App API
      POST
    • Google Pay API
      POST
    • Apple Pay API
      POST
    • MONO API
      POST
    • Vietnam Bank API
      POST
    • CheckOut API
      POST
    • CheckOut Payment API
      POST
    • OnRamps API
      GET
  • Payout
    • PER Transfer Payout API
    • Checkout Payout API
    • Card Payout API
    • Bank Account Payout API
    • PIX Payout API
    • PER Transfer Payout API
    • SPEI Payout API
    • CashApp Payout API
    • Checkout Payout API
    • Query Payout Order API
    • Upload SEPA File API
    • Supplement Payee Info API
  • Recharge
    • SEPA
      • Account
        POST
      • Virtual Account
        POST
  • Refund
    • Refund API
  • Card
    • Create Cardholder API
    • Create Card API
    • Active Card API
    • Freeze Card API
    • UnFreeze Card API
    • Cancel Card API
    • TopUp Card API
    • Card Withdraw API
    • Query Card Balance API
    • Query Card Info API
    • Query Card Transaction API
    • Add VPA Scene API
  • Query
    • Query Payout Order API
    • Query Order API
    • QueryOrderList API
    • QueryBalance API
    • QueryOrderAmount API
  • Notify
    • Pay Notify WebHook API
    • Refund Notify WebHook API
    • Card Notify WebHook API
    • Chargeback Notify WebHook API
  • File
    • UploadFile API
  • Schemas
    • V2EncryptedEnvelope
    • CreateAccountRequest
    • CheckStandV2Request
    • UserArray
    • ApiResponse
    • PayoutCheckStandV2Request
    • V2EncryptedNotification
    • QueryPayOutV2Request
    • PaymentNotificationPayload
    • CreateAccountResponse
    • Category
    • PaymentNotification
    • ProductParams
    • PayoutCheckStandV2Response
    • QueryPayOutV2Response
    • PayoutQueryResult
    • CreateAccountInfo
    • RefundNotificationPayload
    • Pet
    • CheckStandV2Response
    • PayoutCheckStandV2Data
    • OrderQueryV2Data
    • Tag
    • RechargeRequest
    • CheckStandV2Data
    • ChargebackNotificationPayload
    • OrderQueryV2Request
    • OrderQueryV2Response
    • RechargeResponse
    • Order
    • RechargeAccountInfo
    • User
  1. SEPA

Account

Testing Env
https://testpay.onlinepay.ai
Testing Env
https://testpay.onlinepay.ai
POST
/v2/account/recharge
Apply for a recharge. Returns the beneficiary bank account details for the user to transfer funds to.

Request

Header Params

Body Params application/jsonRequired

Example
{
    "merNo": "497903662",
    "merApplyNo": "RECHARGE1760000000000",
    "notifyUrl": "https://testpay.onlinepay.ai/refund/test",
    "userId": "user1760000000000",
    "name": "Peter Master",
    "sign": "RSA256_SIGNATURE_STRING",
    "iban": "DK1189000026135042",
    "bicSwift": "SXPYDKKKXXX",
    "idFiles": [
        "file_id_identity_front",
        "file_id_identity_back"
    ],
    "bankStatementFiles": [
        "file_id_bank_statement"
    ],
    "kycReportFiles": [
        "file_id_kyc_liveness_selfie_report"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://testpay.onlinepay.ai/v2/account/recharge' \
--header 'referer;' \
--header 'Content-Type: application/json' \
--data '{
    "merNo": "497903662",
    "merApplyNo": "RECHARGE1760000000000",
    "notifyUrl": "https://testpay.onlinepay.ai/refund/test",
    "userId": "user1760000000000",
    "name": "Peter Master",
    "sign": "RSA256_SIGNATURE_STRING",
    "iban": "DK1189000026135042",
    "bicSwift": "SXPYDKKKXXX",
    "idFiles": [
        "file_id_identity_front",
        "file_id_identity_back"
    ],
    "bankStatementFiles": [
        "file_id_bank_statement"
    ],
    "kycReportFiles": [
        "file_id_kyc_liveness_selfie_report"
    ]
}'

Responses

🟢200
application/json
Both successful and failed business responses are returned with HTTP 200. Check the code field for the business result.
Bodyapplication/json

Examples
{
    "code": "0000",
    "message": "success",
    "data": {
        "payCode": 2,
        "beneficialName": "Sailrich Pty Ltd",
        "IBAN": "DK4689000029415728",
        "bankAddress": "Amerika Plads 38,Kobenhavn 脴,2100 Denmark",
        "merApplyNo": "RECHARGE1760000000000",
        "reference": "REF1760000000000",
        "BIC": "SXPYDKKKXXX",
        "bankName": "Banking Circle"
    }
}
Modified at 2026-06-15 08:45:31
Previous
Supplement Payee Info API
Next
Virtual Account
Built with